<?php
/**
 * portfolio Controller
 *
 * @package baseContent
 * @subpacke about
 */
class portfolio_controller extends fl_controller {
	var $defaultAction = 'webdesign';
	var $layout = 'common/default';
	var $page = 1;

	function webdesign() {
		$this->data['title'] = 'Webdesign';
		$this->data['referenzen'] = $this->model->get_projects('web', $this->page);
		$this->data['page_navigator'] = $this->model->get_project_pages(
			'web', 'portfolio/webdesign', $this->page
		);
	}
	
	function logo() {
		$this->data['title'] = 'Logos/ Bildmarken';
		$this->data['referenzen'] = $this->model->get_projects('logo', $this->page);
		$this->data['page_navigator'] = $this->model->get_project_pages(
			'logo', 'portfolio/logo', $this->page
		);
	}
	
	function drucksachen() {
		$this->data['title'] = 'Drucksachen';
		$this->data['referenzen'] = $this->model->get_projects('print', $this->page);
		$this->data['page_navigator'] = $this->model->get_project_pages(
			'print', 'portfolio/drucksachen', $this->page
		);
	}

	function common($params) {
		list($page) = $this->parse_params($params, 'int');
		$this->page = ( $page < 1 )? 1: $page;
		$this->data['page'] = $this->page;

		return true;
	}
}
?>
